#include "zonefile_cod11_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD11_360::ZoneFile_COD11_360()
{

}

ZoneFile_COD11_360::~ZoneFile_COD11_360()
{

}

bool ZoneFile_COD11_360::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD11_360::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000000") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "00000001") {
        return Utils::ASSET_PHYSCOLLMAP;
    } else if (cleanedType == "00000002") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "00000003") {
        return Utils::ASSET_XMODEL_SURFS;
    } else if (cleanedType == "00000004") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "00000005") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "00000006") {
        return Utils::ASSET_PIXELSHADER;
    } else if (cleanedType == "00000007") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "00000008") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "00000009") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "0000000A") {
        return Utils::ASSET_SOUND_SUBMIX;
    } else if (cleanedType == "0000000B") {
        return Utils::ASSET_SOUND_CURVE;
    } else if (cleanedType == "0000000C") {
        return Utils::ASSET_SOUND_EVENT;
    } else if (cleanedType == "0000000D") {
        return Utils::ASSET_LPF_CURVE;
    } else if (cleanedType == "0000000E") {
        return Utils::ASSET_REVERB_CURVE;
    } else if (cleanedType == "0000000F") {
        return Utils::ASSET_LOADED_SOUND;
    } else if (cleanedType == "00000010") {
        return Utils::ASSET_CLIPMAP;
    } else if (cleanedType == "00000011") {
        return Utils::ASSET_COMWORLD;
    } else if (cleanedType == "00000012") {
        return Utils::ASSET_GLASSWORLD;
    } else if (cleanedType == "00000013") {
        return Utils::ASSET_PATHDATA;
    } else if (cleanedType == "00000014") {
        return Utils::ASSET_VEHICLE_TRACK;
    } else if (cleanedType == "00000015") {
        return Utils::ASSET_MAP_ENTS;
    } else if (cleanedType == "00000016") {
        return Utils::ASSET_FXWORLD;
    } else if (cleanedType == "00000017") {
        return Utils::ASSET_GFXWORLD;
    } else if (cleanedType == "00000018") {
        return Utils::ASSET_GFXWORLD_TRANSIENT_ZONE;
    } else if (cleanedType == "00000019") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "0000001A") {
        return Utils::ASSET_UI_MAP;
    } else if (cleanedType == "0000001B") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "0000001C") {
        return Utils::ASSET_MENULIST;
    } else if (cleanedType == "0000001D") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "0000001E") {
        return Utils::ASSET_ANIMCLASS;
    } else if (cleanedType == "0000001F") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "00000020") {
        return Utils::ASSET_ATTACHMENT;
    } else if (cleanedType == "00000021") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "00000022") {
        return Utils::ASSET_SNDDRIVER_GLOBALS;
    } else if (cleanedType == "00000023") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "00000024") {
        return Utils::ASSET_IMPACT_FX;
    } else if (cleanedType == "00000025") {
        return Utils::ASSET_SURFACE_FX;
    } else if (cleanedType == "00000026") {
        return Utils::ASSET_AITYPE;
    } else if (cleanedType == "00000027") {
        return Utils::ASSET_MPTYPE;
    } else if (cleanedType == "00000028") {
        return Utils::ASSET_CHARACTER;
    } else if (cleanedType == "00000029") {
        return Utils::ASSET_XMODELALIAS;
    } else if (cleanedType == "0000002A") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "0000002B") {
        return Utils::ASSET_SCRIPTFILE;
    } else if (cleanedType == "0000002C") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "0000002D") {
        return Utils::ASSET_LEADERBOARD;
    } else if (cleanedType == "0000002E") {
        return Utils::ASSET_STRUCTURED_DATA_DEF;
    } else if (cleanedType == "0000002F") {
        return Utils::ASSET_TRACER;
    } else if (cleanedType == "00000030") {
        return Utils::ASSET_VEHICLE;
    } else if (cleanedType == "00000031") {
        return Utils::ASSET_ADDON_MAP_ENTS;
    } else if (cleanedType == "00000032") {
        return Utils::ASSET_NET_CONST_STRINGS;
    } else if (cleanedType == "00000033") {
        return Utils::ASSET_REVERB_PRESET;
    } else if (cleanedType == "00000034") {
        return Utils::ASSET_LUA_FILE;
    } else if (cleanedType == "00000035") {
        return Utils::ASSET_SCRIPTABLE;
    } else if (cleanedType == "00000036") {
        return Utils::ASSET_EQUIPMENT_SND_TABLE;
    } else if (cleanedType == "00000037") {
        return Utils::ASSET_DOPPLER_PRESET;
    } else if (cleanedType == "00000038") {
        return Utils::ASSET_LASER;
    } else if (cleanedType == "00000039") {
        return Utils::ASSET_SKELETON_SCRIPT;
    } else if (cleanedType == "0000003A") {
        return Utils::ASSET_COUNT;
    } else if (cleanedType == "0000003A") {
        return Utils::ASSET_STRING;
    } else if (cleanedType == "0000003B") {
        return Utils::ASSET_ASSETLIST;
    }
    return Utils::ASSET_NONE;
}
